## jline
Class ANSIBuffer

    java.lang.Object
      jline.ANSIBuffer

public class ANSIBuffer
extends Object

A buffer that can contain ANSI text.

Author:
  Marc Prud'hommeaux

Nested Class Summary
`static class` `ANSIBuffer.ANSICodes`

Constructor Summary
`ANSIBuffer()`
`ANSIBuffer(String str)`

Method Summary
`ANSIBuffer` `append(String str)`
`ANSIBuffer` `attrib(String str, int code)`
`ANSIBuffer` `black(String str)`
`ANSIBuffer` `blink(String str)`
`ANSIBuffer` `blue(String str)`
`ANSIBuffer` `bold(String str)`
`ANSIBuffer` `cyan(String str)`
`String` `getAnsiBuffer()`
`boolean` `getAnsiEnabled()`
`String` `getPlainBuffer()`
`ANSIBuffer` `green(String str)`
`ANSIBuffer` `magenta(String str)`
`static void` `main(String[] args)`
`ANSIBuffer` `red(String str)`
`ANSIBuffer` `reverse(String str)`
`void` `setAnsiEnabled(boolean ansi)`
`String` `toString()`
`String` `toString(boolean ansi)`
`ANSIBuffer` `underscore(String str)`
`ANSIBuffer` `yellow(String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ANSIBuffer

    public ANSIBuffer()

### ANSIBuffer

    public ANSIBuffer(String str)

Method Detail

### setAnsiEnabled

    public void setAnsiEnabled(boolean ansi)

### getAnsiEnabled

    public boolean getAnsiEnabled()

### getAnsiBuffer

    public String getAnsiBuffer()

### getPlainBuffer

    public String getPlainBuffer()

### toString

    public String toString(boolean ansi)

### toString

    public String toString()

### append

    public ANSIBuffer append(String str)

### attrib

    public ANSIBuffer attrib(String str,
                             int code)

### red

    public ANSIBuffer red(String str)

### blue

    public ANSIBuffer blue(String str)

### green

    public ANSIBuffer green(String str)

### black

    public ANSIBuffer black(String str)

### yellow

    public ANSIBuffer yellow(String str)

### magenta

    public ANSIBuffer magenta(String str)

### cyan

    public ANSIBuffer cyan(String str)

### bold

    public ANSIBuffer bold(String str)

### underscore

    public ANSIBuffer underscore(String str)

### blink

    public ANSIBuffer blink(String str)

### reverse

    public ANSIBuffer reverse(String str)

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Released under the terms of the BSD license